import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.net.*;

public class ShowDocumentDemo extends Applet 
                              implements ActionListener {

  public void init() {
    // Erzeugen und Hinzufgen der Buttons
    Button first, second;
    first = new Button("first page");
    second = new Button("second page");
    add(first);
    add(second);
    first.addActionListener(this);
    second.addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    URL page;
    // Ist der Button 'first page' gedrckt?
    if ("first page".equals(e.getActionCommand())) {
      try {
        // Erzeugen der URL und Anzeigen des Dokumentes
        page = new URL(getCodeBase(), "FirstPage.html");
        getAppletContext().showDocument(page, "data");
      }
      catch (MalformedURLException ex) {
        ex.printStackTrace();
      }
    }
    // Ist der Button 'second page' gedrckt?
    if ("second page".equals(e.getActionCommand())) {
      try {
        page =
           new URL(getCodeBase(), "SecondPage.html");
        getAppletContext().showDocument(page, "data");
      }
      catch (MalformedURLException ex) {
        ex.printStackTrace();
      }
    }
  }
}
